/*
 *	TOPPERS/ASP Kernel
 *		Toyohashi Open Platform for Embedded Real-Time Systems/
 *		Advanced Standard Profile Kernel
 *	
 *	Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *				Graduate School of Information Science, Nagoya Univ., JAPAN
 *	Copyright (C) 2007-2010 by Industrial Technology Institute,
 *								Miyagi Prefectural Government, JAPAN
 *	
 *	嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *	ܥեȥѤΤޤࡥʲƱˤѡʣ
 *	ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *	(1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *		ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *		˴ޤޤƤ뤳ȡ
 *	(2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *		ѤǤǺۤˤϡۤȼɥȡ
 *		ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *		̵ݾڵǺܤ뤳ȡ
 *	(3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *		ѤǤʤǺۤˤϡΤ줫ξ
 *		ȡ
 *	  (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *		  ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *	  (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *		  𤹤뤳ȡ
 *	(4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *		⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *		ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *		ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *		դ뤳ȡ
 *	
 *	ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *	TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *	ФŬޤơʤݾڤԤʤޤܥեȥ
 *	ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *	Ǥʤ
 *	
 *	$Id: prc_kernel.h 1831 2010-07-05 06:48:28Z mit-kimai $
 */

/*
 *		kernel.hΥץå¸SH12Aѡ
 *
 *	Υ󥯥롼ɥեϡtarget_kernel.hʤޤϡ饤
 *	롼ɤեˤΤߤ饤󥯥롼ɤ롥¾Υե뤫
 *	ľܥ󥯥롼ɤƤϤʤʤ
 */

#ifndef TOPPERS_PRC_KERNEL_H
#define TOPPERS_PRC_KERNEL_H

#ifndef TOPPERS_TARGET_KERNEL_H
#error  target_kernel.h is not included!
#endif	/*  TOPPERS_TARGET_KERNEL_H  */

/*
 *	ݡȤ뵡ǽ
 */
#define TOPPERS_TARGET_SUPPORT_DIS_INT 		   /* dis_int򥵥ݡȤ */
#define TOPPERS_TARGET_SUPPORT_ENA_INT 		   /* ena_int򥵥ݡȤ */

/*
 *	ͥγͥ٤ϰ
 *
 *	TMIN_INTPRIѹ뤳ȤǡɤΥ٥⤤ͥ
 *	ĤΤ򥫡ͥγߤȤ뤫ѹǤ롥
 *
 *	TMIN_INTPRIǤͤϡ-15-1ϰϤǤ롥㤨TMIN_INTPRI
 *	-14ꤹȡNMI˲äƥ٥15γߤͥȤ
 *	롥TMIN_INTPRI-15ꤹȡNMIʳ˥ͥγߤ
 *	ߤʤȤˤʤ롥
 */
#ifndef TMIN_INTPRI
#ifdef GDB_STUB
#define TMIN_INTPRI		(-14)		/* ͥ٤κǾ͡ʺǹ͡*/
#else /* GDB_STUB */
#define TMIN_INTPRI		(-15)		/* ͥ٤κǾ͡ʺǹ͡*/
#endif /* GDB_STUB */
#endif /* TMIN_INTPRI */

#define TMAX_INTPRI		(-1)		/* ͥ٤κ͡ʺ͡*/

/*
 *	°
 *	  ºݤ˻ѤǤ°ϡ¸shxx.tf롣
 *	
 *	  TA_POSEDGETA_NEGEDGETA_EDGE̤ͤˤƤΤϡ
 *	  Ȥ߹碌ȤˡTA_BOTHEDGEȶ̤뤿
 */
						/*	0x01TA_ENAINTͽ  */
						/*	0x02TA_EDGEͽ  */
#define	TA_POSEDGE		UINT_C(0x04)	/* ݥƥ֥åȥꥬ */
#define	TA_NEGEDGE		UINT_C(0x08)	/* ͥƥ֥åȥꥬ */
#define	TA_BOTHEDGE		(TA_POSEDGE | TA_NEGEDGE) /* ξåȥꥬ */

#define	TA_LOWLEVEL		UINT_C(0x10)	/* ٥ȥꥬ */
#define	TA_HIGHLEVEL	UINT_C(0x20)	/* ϥ٥ȥꥬ */

#endif /* TOPPERS_PRC_KERNEL_H */
